.\" Manual page for the 'addcol' routine
.\"
.\" 06 Oct 1993, a.c.raugh.
.\"
.TH ADDCOL L "06 October 1993"
.SH NAME
addcol \- add blank columns to ASCII file records
.SH SYNOPSIS
.B addcol
.B input-file column
.RB "[\| " repetition " \|] "
.RB "[\| " column " [\| " repetition " \|] [\| " ... 
.RB " \|] \|] "
.\"------------------ 
.SH DESCRIPTION
.LP
.B addcol
inserts new, blank columns between existing columns of the input record file
and writes the result to the standard output.
This is probably most useful for adding columns to fixed-length, ASCII text 
files, but
.B addcol
does not require that the record length be fixed.
Records, however, must be delimted by linefeeds (\\n).
.LP
More than one column can be inserted by adding a repetition factor
to the column number.
To do this, enter:
.IR column*factor ,
where
.I column
is a non-negative integer;
.I *
is any single non-digit, non-blank character; and
.I factor
is a non-negative integer.
.I Factor
number of blank columns will be inserted after the given column.
When this value is omitted, "1" is assumed. 
An explicit value of zero results in no columns being added after the target
column.
.LP
A maximum of 100 columns may be entered; ranges are not accepted, but column 
numbers need not be sorted.
Columns are numbered from 1; all column numbers in the command line should 
refer to the numbering of the columns before any blanks are inserted.
Blanks are inserted following the named column.
To insert a blank column at the beginning of the record, use column number 0.
Columns numbered higher than the record length will result in a blank being 
added immediately before the record delimiter.

.SH EXAMPLES
.sk
.LP
addcol tmp.dat 1 5/10
.LP
This command inserts a single blank column after column 1, and 10 blank columns
after column 5.
.sk
.LP
addcol tmp.dat 0x3
.LP
This command inserts 3 blank columns at the beginning of each record.
.sk
.LP
addcol tmp.dat 999x5
.LP
If the record length is >999 bytes, this command inserts 5 blank columns after
column 999.  For shorter records, 5 blanks are inserted before the record
delimter (\\n) character.
