.\" Manual page for the 'findtab' routine
.\"
.\" 17 Jan 2007, A.C.Raugh.
.\" 18 Feb 2008, acr: added "-ff" option
.\"
.TH CHKASCII L "24 February 2008"
.SH NAME
chkascii \- precisely locate non-printing, non7-bit ASCII characters in a 
text file
.SH SYNOPSIS
.B chkascii
.RB " [\| " \-iso " \|] [\| " \-cr " \|] "
.RB  "[\| " \-ff " \|] "
.RI " [\| " text_file " \|]"
.\"------------------
.SH DESCRIPTION
.LP
.B chkascii
checks every character in the input text file (or STDIN if no file name is
provided) to see if it contains non-printing 7-bit ASCII
characters other than the blank
character and the line delimiters.  Line numbers and character position within
the line (starting at "1") are reported for each character that fails the 
test.
.LP
Unless the user specifies carriage-return line delimiters via the \-cr option,
the linefeed character is the record delimiter.  This may be immediately 
preceeded by the carriage return character.  
.I Chkascii
will accept either LF or CR/LF, but whichever delimiter it encounters first 
it will assume is the delimiter for all records in the file.  Any sigle 
occurence of CR or LF in isolation will be reported as an error.
.LP
If the 
.B \-ff
option is specified, the formfeed character is accepted without comment.
If not, it is reported specifically as a problem.  (PDS allows formfeed 
characters in text files in the document directory.)
.LP
The user may check for non-printing ISO/IEC 8859-1 (Latin-1) codepage
characters by using the \-iso option.
.SH OPTIONS
.TP
.B \-iso
Allow all printing 8-bit characters from the ISO/IEC 8859-1 (Latin-1)
code page.  This includes letters with diacritical marks as well as common
symbols like non-English punctuation, currency symbols and the degree sign.
Non-printing 7-bit ASCII characters are still rejected, as these are also
non-printing on the 8859-1 codepage.
.TP
.B \-cr
Take the carriage-return character as the line delimiter.  This is the sole
line delimiter for the Macintosh operating system.  When this option is used,
the linefeed character is considered invalid whenever it occurs.
.TP
.B \-ff
Allow formfeeds as acceptable characters.  Without this option the formfeed
character is specifically flagged as bad.
