.\" Manual page for the 'findbl' routine
.\"
.\" 10 Sep 1993, a.c.raugh.
.\"
.TH FINDBL L "10 September 1993"
.SH NAME
findbl \- print a table of the columns which are blank throughout an input
text file
.SH SYNOPSIS
.B findbl
.RB " [\| " input-file " \|]"
.\"------------------
.SH DESCRIPTION
.LP
.B findbl
checks each character in all records of a text file, keeping a count of the
number of non-blank characters in each column.
.B input-file
must be specified;
output is to the standard output.
.LP
Files should be ASCII with '\\n'-delimited records, but record length need not
be fixed.
The maximum record length is currently 10,000 bytes.
For the purposes of this program, only an actual blank character counts as
a blank; tabs, carriage-returns and other non-printing characters are counted
as non-blanks, with one exception:
the newline character is also interpreted as a blank
since it is also the record delimiter.
Thus last character in every record is
counted as blank.
.LP
The output is in the form of a table, with 10 columns and RECORD_LENGTH/10
rows.
Column number is found by adding the table row and column numbers.
.SH SAMPLE OUTPUT
Here is sample output from the program for a small, three-line input file:
.na
.nf
.sp
3 records checked:
  Maximum length =    34
  Minimum length =    16

Column   1      2      3      4      5      6      7      8      9     10   
--------------------------------------------------------------------------
  0:      2      3      3      0      3      3      2      2      2      3 
 10:      2      3      1      3      3      2      0      1      1      1 
 20:      0      1      1      0      1      1      1      0      1      1 
 30:      1      1      1      0 
.ad
.fi
.sp
From this table it can be seen that columns 4, 17, 20, 24 and 28 are always
blank.
Column 34 is always blank because that is the maximum record length, including
the record delimiter, and the record delimiter is always taken as blank.
