.\" Manual page for the 'fixcc' routine
.\"
.\" 14 Jul 2005, a.c.raugh.
.\"
.TH FIXCC L "14 July 2005"
.SH NAME
fixcc \- quick & dirty routine to turn whatever carriage control is found in
a text file into the carriage control desired.
.SH SYNOPSIS
.B fixcc 
.RB "[\|" "-m" "|" "-u" "|" "-d" "|\]"
.RB "[\| " in_file " [\| " out_file " \|] \|]"
.\"------------------
.SH DESCRIPTION
.LP
.B fixcc
takes a text file with any of the standard line delimiters (carriage return,
linefeed, or both) and converts it to the style indicated by the user.  
The default format to convert to is set at the top of the source code.  
On Unix/Linux systems, this is set to "\n" (Unix/Linux delimiter).
.LP
Only one of the three output delimiter options may be specified.  If none
is given, the default (set in the code) is used.  Standard I/O is used
when no input/output files are given.
.\"------------------
.SH OPTIONS
.TP
.B \-m
indicates the output file should have Mac carriage control, i.e., carriage
returns only.
.TP
.B \-u
indicates the output file should have Unix/Linux carriage control, i.e.,
linefeeds only.
.TP
.B \-d
indicates the output file should have DOS carriage control, i.e., carriage
returns followed by linefeeds.
.\"------------------
.SH NOTES
.LP
.B fixcc
does not attempt to do anything clever.  It looks for the first valid line
delimiter it can find from any system, and converts that delimiter character
(or characters) through the rest of the file.  If '\r' and '\n' characters
are used in random ways in the file, the results of running
.B fixcc
are likely to be disappointing.
.\"------------------
.SH INSTALLATION NOTES
.LP
.B fixcc 
is contained in a single Perl source file.
