.\" Manual page for the 'fixfn' routine
.\"
.\" 30 Oct 2002, a.c.raugh.
.\"
.TH FIXFN L "30 October 2002"
.SH NAME
fixfn \- systematically change file names with annoying characters
.SH SYNOPSIS
.B fixnm
.RB "[\| " \-r " \|] [\| " \-b " \|]"
.RB "[\| " \-f " \|] [\| " \-c " <case> \|]"
.RB "[\| " \-h " \|] "   " <file name list"
.\"------------------ 
.SH DESCRIPTION
.LP
.B fixfn
renames files whose names have characters that are inconvenient on 
Linux/Unix systems. 
It will replace non-alphanumerics with underscores and force case on
both file names and directories, and will recurse down through 
subdirectories if desired.
A check is made for name collisions. The default action in the event of
a collision is to leave the name unchanged, but the user may specify
overwriting in the event of collision by using the 
.B \-f
opion.
.LP
Unless the \-b option is specified, restricting its action to blank
space only, fixfn will replace all characters in the filenames which 
are not in this set: [-A-Za-z0-9_.] with underscores (_).
.LP
The file name list must contain at least one name. 
If a directory name is specified only the directory name itself will be
changed unless the 
.B \-r
option is included.
.\"------------------
.SH OPTIONS
.TP
.B \-b
Indicates that
.I only
blank space should be removed. Blank space includes the space character and
the usual collection of tabs and delimiters. Each string of whitespace in
the file name will be replaced by a single underscore character. 
Other non-alphanumerics (like hyphens, exclamations points, semicolons, etc.)
will be left intact.
.TP
.BR \-c " <case> "
Force case to upper or lower. 
.B fixfn
checks only the first letter of the argument supplied with the \-c
option. If it begins with 'U' or 'u', all file names are forced to 
upper case; if it begins with 'L' or 'l', all file names are force to
lowercase. If any other character is found, the option is ignored.
Case is not forced unless this option is included.
.TP
.B \-f
Forces overwriting in cases of name collision. The default action is 
to display a message that a name collision has occurred, but leave the
name unchanged.
.TP
.B \-h
Displays a usage message and brief explanation of the various options
.TP
.B \-r
Causes the program to recurse down through any directories provided
in the file name list. All file and directory names encountered
are checked when this option is included.
.\"------------------
.SH NOTES
.LP
The
.B varlen
routine will turn fixed-length records into variable length by deleting 
trailing blanks.
