.\" Manual page for the 'fixlen' routine
.\"
.\" 09 May 1994, a.c.raugh.
.\" 19 Apr 1999, a.c.raugh: upgraded to handle carriage-control as well
.\" 03 May 2007, a.c.raugh: added "-n" option
.\"
.TH FIXLEN L "03 May 2007"
.SH NAME
fixlen \- pad variable-length records out to fixed length
.SH SYNOPSIS
.B fixlen
.RB "[\| " \-c " \|] [\| " \-n " \|] "
.RB " [\| " \-r " record-length"
.RB "\|] [\| " input-file " [\| " output-file " \|] \|]"
.\"------------------ 
.SH DESCRIPTION
.LP
.B fixlen
pads variable-length records, delimited by linefeeds (\\n) or 
carriage-returns and linefeeds (\\r\\n), out to a fixed
length specified by the user, by padding the records on the right with blank
characters.
By using the "\-c" option the user may force "\\r\\n" record delimiters to 
be added to all records, otherwise the original carriage control is used.
The record width indicated by the user must include all carriage-control
characters; the default record width is 80 characters.
Lines exceeding the input length are truncated unless the \-n option is
used.  In either case long lines generate a warning to stderr.
.LP
If no file arguments are given the standard I/O streams are used.
If only one file argument is given it is assumed to be the input file.
.\"------------------
.SH OPTIONS
.TP
.B \-c
Add carriage-return characters. This option forces the output to include
CRLF (\\r\\n) carriage-control even if it only contained LF carriage control
on input.  Note that the record length desired should include two bytes for
record delimiters in this case, rather than one.
The default is to use the carriage control found in the first record of the
file.
.TP
.B \-n
No truncation, Do not truncate lines that exceed the given record length.
A warning will still be sent to stderr for each long line encountered, but
the output will contain the entire contents of the original line.
.TP
.BR \-r " record-length"
This option allows the user to specify the desired length for the output 
records.
This length must also include whatever bytes are needed for the 
record delimiter characters.
The default length is 80 bytes.
.\"------------------
.SH NOTES
.LP
The
.B varlen
routine will turn fixed-length records into variable length by deleting 
trailing blanks.
