.\" Manual page for the 'halve' routine
.\"
.\" 16 Dec 1994, a.c.raugh.
.\"
.TH HALVE L "25 January 1995"
.SH NAME
halve \- split an ASCII file by records into two new files
.SH SYNOPSIS
.B halve 
.RB "[\|" \-v "\|] [\|" \-s "\|] "
.B record_count input_file output_file1 output_file2
.\"------------------ 
.SH DESCRIPTION
.LP
.B halve
divides an ASCII file by records into two new files.  By default it directs the first
.B record_count
records from the source into the first output file, and subsequent records into 
the second output file.
If the 
.B \-s
switch is included, the 
.B record_count
is instead interpreted as a step size, and every record_count record
starting with the first
is directed to the first output file, with the intervening records
going into the second.
.LP
The
.B -v
option indicates that 
.B halve
should display a summary of how many records were read and written once it has
finished processing.
.SH EXAMPLES
.LP
halve 50 test.tab part1 part2
.LP
This command sends the first 50 records of test.tab to part1, and the 
remainder to part2.
.LP
halve -v -s 50 test.tab part1 /dev/null
.LP
This commands sends every 50th record, beginning with the first, to the file
part1.  The remaining records are discarded (test.tab itself is unaffected).
When it is done, it will report to the screen the total number of records
read and how many were written to each output file.
