.\" Manual page for the 'inscol' routine
.\"
.\" 23 Mar 1994, a.c.raugh.
.\"
.TH INSCOL L "23 March 1994"
.SH NAME
inscol \- insert a possibly non-blank column into an ASCII file
.SH SYNOPSIS
.B inscol
.B input-file column
.RB "[\| " string " \|] "
.\"------------------ 
.SH DESCRIPTION
.LP
.B inscol
inserts a new column into an ASCII file following the column (byte) indicated
by the user and writes the results to the standard output.
By default a single blank byte is inserted.
However, if the user provides a string the entire string will be inserted
at that byte position.
This is probably most useful for adding columns to fixed-length, ASCII text 
files, but
.B inscol
does not require that the record length be fixed.
Records, however, must be delimited by linefeeds (\\n).
If a record is shorter than the given column number, it will be padded with
blanks out to the length before the new column is inserted.
.LP
Columns are numbered from 1; a column in this case is a single bytes, regardless
of what it contains.
To insert a column at the beginning of the record, use column number 0.

.SH EXAMPLES
.sk
.LP
inscol tmp.dat 1 
.LP
This command inserts a single blank column after column 1.
.sk
.LP
inscol tmp.dat 4 .
.LP
This command inserts a signle byte containing '.' after the fourth byte of
each record.
.sk
.LP
inscol tmp.dat 0 "Line number "
.LP
This command inserts the string "Line number " (without the duoble-quotes) at
the beginning of each record in the file.

.SH SEE ALSO
.LP
.B addcol
inserts blank columns in more than one place at a time in ASCII records.
.LP
.B delcol
deletes one or more columns from ASCII records.
