.\" Manual page for the 'joinfile' routine
.\"
.\" 22 Nov 1993, a.c.raugh.
.\" 16 Jul 1998, acr: Removed file length restriction
.\"
.TH JOINFILE L "16 July 1998"
.SH NAME
joinfile \- merge two files, vertically
.SH SYNOPSIS
.B joinfile input_file1 input_file2 output_file
.\"------------------ 
.SH DESCRIPTION
.LP
.B joinfile
joins two files together by appending the records of the second file to the
end of the corresponding records of the first file.
The newline record delimiter is deleted from the end of the input records
from the first file prior to concatenation.
.LP
All parameters must be entered.  
The input files are uneffected by this routine.
It is assumed that all records are delimited by newline characters (the
standard format).
Fixed-length records are not required in either input file, but are highly
recommended.
.LP
The input files need not have the same number of records.  
If one file is exhausted before the end of the other file is reached, a 
warning message is displayed and the left-over lines are appended to the
end of the output file.
No attempt is ever made to pad records out to a fixed length.
.LP
The 
.B splitfile
routine may be used to split a file vertically into two files.
.SH EXAMPLES
.sk
.LP
joinfile part.1 part.2 tmp.dat
.LP
This file takes each record from part.1, appends the corresponding records from 
part.2 (deleting only the newline at the end of the first record), and writes
the concatenated record to tmp.dat
