.\" Manual page for the 'lblcol' routine
.\"
.\" 27 Jan 1998, acr
.\" 19 Jun 2001, acr: Upgrades
.\"
.TH LBLCOL L "19 June 2001"
.SH NAME
lblcol \- add byte-count column labels to an ASCII file
.SH SYNOPSIS
.B lblcol
.RB "[\| " \-0 " \|] [\| " "\-r" 
.I length
.RB "[\| " "\-n" 
.I record_count
.RB " \|] [\| " input-file " [\| " output file " \|] \|]"
.\"------------------ 
.SH DESCRIPTION
.LP
.B lblcol
adds column labels in the form of byte counts to an ASCII file.
Column numbers are written vertically above the first record of the file.
Users may specify that column counts be written every given number of 
records using the
.B \-n
option.
Additional options allow the user to specify 0-based rather than 1-based
numbers, and to force a fixed length for the column label line.
By default the column label line is as long as the line immediately 
following it.
.LP
Standard I/O is used unless file parameters are included.
.\"-------------------
.SH OPTIONS
.TP
.B \-0
Use zero-based byte numbers, rather than the default one-based numbers.
.TP
.BR \-r " length"
Force all column label lines to be the given length, rather than the length 
of the line immediately following.
.TP
.BR \-n  " count"
Print column labels every <count> records.
.\"-----------------------
.SH NOTE
.LP
.B lblcol
assumes the input file is an ASCII file.  
Fixed-length records are not required, but the byte labels only extend as far
as the record immediately following them unless the \-r option is used.
Attempting to run 
.B lblcol
on non-ASCII files will release a handful of the lesser demons of Hell 
upon you.
