.\" Overview man page section for lcltools file handling utilities
.\"
.\" 08 Mar 1996, acr.
.\" 12 Jun 1996, acr: added 'addlf', 'rmlf'.
.\" 27 Jan 1998, acr: added 'lblcol'
.\" 24 Aug 1999, acr: added 'linnum'
.\" 14 Jan 2000, acr: added 'findtab'
.\" 15 Jan 2002, acr: added 'linkchk'
.\" 26 Aug 2002, acr: removed 'linkchk' (to ../justus)
.\" 22 Jan 2007, acr: added 'chkascii'
.\"
.\"---------------------------------------------------------------------------
.SS FILE UTILITIES
.sk 2
.LP
These routines manipulate file names, file lengths and records.
.LP
.TP
.B addcol
add blank columns (i.e., bytes) to ASCII file records
.TP
.B addcr
add a carriage-return (\\r) character before all linefeed (\\n) characters.
.TP
.B addlf
add a linefeed (\\n) character after all carriage-return (\\r) characters.
.TP
.B chkascii
check for non-printing ASCII characters (7-bit or ISO 8859-1 8-bit).
.TP
.B chkdos
check file records for DOS (\\r\\n) record delimiters
.TP
.B chkfix
check that a file has fixed-length records
.TP
.B delcol
delete columns (i.e., bytes) from ASCII file records
.TP
.B findbl
print a table showing the number of blanks in each byte column of an ASCII
file
.TP 
.B findtab
find tab and other non-printing characters in ASCII text files
.TP
.B fixfn
replace file names with inconvenient characters
.TP
.B fixlen
blank-pad (or truncate) variable-length ASCII records to a given length
.TP
.B halve
split an ASCII file by records into two new files
.TP
.B inscol
insert a (possibly non-blank) column (i.e., byte) into ASCII file records
.TP
.B joinfile
merge two files by concatenating corresponding records.  Opposite of
.BR splitfile .
.TP
.B lblcol
add bye-count labels to an ASCII file
.TP
.B lcfn
force file names to all lower-case
.TP
.B lcount
count executable lines in C (or Perl) source code
.TP
.B linnum
add line number tags to the beginning of ASCII file records
.TP
.B null2blank
replace null characters with ASCII blank characters
.TP
.B rmVMS
remove VMS file version numbers
.TP
.B rmcr
remove carriage-return (\\r) characters 
.TP
.B rmlf
remove linefeed (\\n) characters
.TP
.B sample
create a sample file listing of an ASCII file showing selected records, with
byte count labels
.TP
.B scanlen
scan an ASCII file for maximum and minimum record length
.TP
.B splitfile
split a file into two new files by dividing each record.  Opposite of 
.BR joinfile .
.TP
.B swap
swap bytes in a binary file.  Useful for converting binary data from 
byte-swapped systems (like VMS).
.TP
.B sz
Quick & dirty file size estimator for Unix systems
.TP
.B ucfn
force file names to all upper-case
.TP
.B varlen
strip trailing blanks from the end of linefeed-delimited ASCII records to
produce variable-length records
