#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>

/* Routine to estimate the number of executable lines in a C program by 
   counting the number of semicolons appearing outside of comment fields.

   09 Mar 1993, a.c.raugh
   22 Aug 1995, acr: Modified to take an optional file argument
   15 Apr 2011, acr: Modified exit() calls to use standard values.
*/

main(argc,argv)
  int   argc;
  char *argv[];

{ int count;   /* record count */
  int COMMENT; /* 1 if in a comment field, 0 otherwise */
  int c;       /* input character */
  int lc;      /* last character  */

  FILE *ifp;   /* input file pointer */

  if (argc > 2)
    { fprintf (stderr,"Usage: lcount [ file ]\n");
      exit(EXIT_SUCCESS);
    }

  if (argc == 2)
    { if ((ifp = fopen(argv[1],"r")) == NULL)
        { fprintf (stderr,"lcount: Unable to open \"%s\" for input (%s).\n",
                          argv[1],strerror(errno));
          exit(EXIT_FAILURE);
        }
    }
  else
      ifp = stdin;

  /* Loop through all characters in the file (on stdin): */

  COMMENT = 0;
  count   = 0;
  lc      = '\0';

  while ( (c=fgetc(ifp)) != EOF)
    { if (COMMENT)
        { if (lc=='*' && c=='/')
              COMMENT = 0;
        }

      else if (lc=='/' && c=='*')
          COMMENT = 1;

      else if (c==';')
          ++count;

      lc = c;
    }

  printf ("\nlcount: %d executable lines.\n",count);
  exit(EXIT_SUCCESS);
}
