.\" Manual page for the 'linnum' routine
.\"
.\" 24 Aug 1999, acr
.\"
.TH LINNUM L "24 August 1999"
.SH NAME
linnum \- add line numbers to an ASCII file
.SH SYNOPSIS
.RB "[\| " "\-w" 
.I integer_width
.RB " \|] [\| " input-file " [\| " output file " \|] \|]"
.\"------------------ 
.SH DESCRIPTION
.LP
.B linnum
adds line number tags to the beginning of each record in an ASCII file.
The default width for this number field is five digits, but the user may 
specify some other positive width using the 
.B \-w
option.
Numbers are zero-padded on the left and a
n additional space is inserted between the end of the number field
and the first byte in the record.
Standard I/O is used unless file parameters are included.


.SH NOTE
.LP
.B linnum
assumes the input file is an ASCII file with appropriate record delimiters.  
Fixed-length records are not required.
If the number field overflows the given or default width it
will expand as necessary.
In this case, high-numbered records will not align with
lower-numbered ones.
