/*
   null2blank:  Routine to meet a deficiency in "tr", which deletes null
                characters on output.  This routine turns nulls into 
                ASCII blanks.

   Format:

      % null2blank [ input_file   [ output_file ]  ]


   22 Dec 1993, acr: creation
   15 Apr 2011, acr: Modified exit() calls to use standard values.
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>

main(argc,argv)
  int    argc;
  char  *argv[];

{ FILE  *ifp, *ofp;             /* input and output file pointers */
  int    i,j,k;                 /* loop/subscript */
  int    c;                     /* input character */

  /* Check for arguments and open files as needed:  */

  if (argc > 2)
    { if ((ofp = fopen(argv[2],"w")) == NULL)
        { fprintf (stderr," null2blank: Unable to open %s for writing (%s)\n",
                          argv[2],strerror(errno));
          exit(EXIT_FAILURE);
        }
    }
  else
      ofp = stdout;


  if (argc > 1)
    { if ((ifp = fopen(argv[1],"r")) == NULL)
        { fprintf (stderr," null2blank: Unable to open %s for reading (%s)\n",
                           argv[1],strerror(errno));
          exit(EXIT_FAILURE);
        }
    }
  else
      ifp = stdin;


  /* Loop through characters in the input file, changing all nulls to ASCII
     blank characters:
  */

  while ((c = getc(ifp)) != EOF)
    { if (c == 0) c = ' ';
      putc(c,ofp);
    }


  /* Done, close files:  */

  fclose(ifp);
  fclose(ofp);
  exit(EXIT_SUCCESS);
}
