.\" Manual page for the 'sample' routine
.\"
.\" 23 Mar 1994, a.c.raugh.
.\"
.TH SAMPLE L "25 January 1995"
.SH NAME
sample \- generate sample file listing
.SH SYNOPSIS
.B sample
.RB "[\|" \-r  
.IB "record count" \|
.BR \-e " record count \|]" "input file "  "[\|" " output file " "\|]"
.\"------------------
.SH DESCRIPTION
.LP
.B sample
creates a sample listing of specified records from an ASCII text file.
The file need not have fixed-length records.
Output is to stdout by default but an output file may be specified by the
user.
.LP
The output listing includes the input file name, the number of records in the
file, and the minimum and maximum record lengths. 
Following that information is a heading of column number labels (read 
vertically) over sample records from the file.
By default the first and last 25 records from the file are displayed (a
break line separates the records from the beginning and end of the file).
The user may set a different number of records by using the
.B \-r
option to give a different record count.
By using the
.B \-e
option the user may specify that every 'count' records should be displayed 
instead.
The entire file is displayed if "-e 1" is given or if the file is shorter
than 2*count (in the case of the
.B \-r
option.
.\"------------------
.SH NOTES
.LP
.B sample
reads through the entire file twice: once the get the extrema and record count
and a second time to display the records.  For large files this can run into
a significant amount of time.
.LP
.B sample
has a record size limit of 10000 bytes, but there is no limit on the number of
records which it can handle.
