.\" Manual page for the new 'scanlen' routine
.\"
.\" 14 Jan 1997, a.c.raugh.
.\"
.TH SCANLEN L "23 February 2008"
.SH NAME
scanlen \- scan files for maximum and minimum record length
.SH SYNOPSIS
.B scanlen
.RB "[\|" \-r  
.IR "maximum record length"  "\|]"
.RB "[\|" \-t "\|]"
.RB "[\|" input-file "[\|" output file "\|]\|]"
.\"------------------
.SH DESCRIPTION
.LP
.B scanlen
reads through all the records in the file and checks
their length against the user-specified maximum allowed input length, 
if given using the
.B \-r
option.
All records exceeding that length are flagged.
.B scanlen
also reports the actual minimum and maximum line length of the file, as well as
the number of records in the file, non-Unix carriage control and the presence
of hex null characters ("\\0").
Including the 
.B \-t
option causes scanlen to also report what line delimiter was found regardless
of type.
This routine is useful for determining file dimensions and for locating lines
which may exceed a desired length.
The record lengths reported include the delimiters.
.LP
If no file name arguments are given, standard I/O streams are used.
Where only one file is given, it is assumed to be the input file.
.\"------------------
.SH OPTIONS
.TP
.BI \-r " max_length "
Indicates the maximum acceptable record length, including delimiters, and
causes 
.B scanlen
to report each line found that is longer than that length.
.TP
.B \-t
Display delimiter type.  When this option is included the first line of 
output from 
.B scanlen
will always be a line indicating what type of delimiter was found, even 
if it is the expected Unix linefeed delimiter.
.\"------------------
.SH NOTES
.LP
.B scanlen
reads the input file one character at a time and so has no inherent 
maximum allowed record size
limit.  It will recognize DOS, Unix and Macintosh delimiters and will ignore 
nulls.
Note, however, that it makes no sense to run this routine on a binary file.
