.\" Manual page for the 'splitfile' routine
.\"
.\" 22 Nov 1993, a.c.raugh.
.\" 22 Apr 1997, acr: Recreated from archive when original was trashed.
.\" 16 Jul 1998, acr: Removed line length retriction
.\"
.TH SPLITFILE L "16 July 1998"
.SH NAME
splitfile \- split a file vertically into two separate files
.SH SYNOPSIS
.B splitfile input_file columns output_file1 output_file2
.\"------------------ 
.SH DESCRIPTION
.LP
.B splitfile
splits a single file vertically into two files, so that the first output file
will contain the first 
.I columns
bytes from each record and the second output file will contain the
remaining bytes from each record.
.LP
All parameters must be entered.  The input file is not affected by this routine.
It is assumed that all records are delimited by newline characters 
(the standard format).
A newline character is added to the end of records in the first output file,
so that the record length of that file will be at most 
.I columns
\+ 1 bytes.
.LP
Fixed-length records are not required, but are highly recommended.
If
.I columns
exceeds the number of bytes in any particular record, the entire record
is written to the first file, without padding, and the corresponding
record in the second file will contain only a newline character.
.LP
The
.B joinfile
routine can be used to merge two files vertically.

.SH EXAMPLES
.sk
.LP
splitfile tmp.dat 25 part.1 part.2
.LP
This command splits the file tmp.dat into part.1, which will contain
the first 25 bytes from each record of tmp.dat (plus a newline delimiter),
and part.2, which will contain the remaining bytes from each record.
