#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <string.h>
#include <errno.h>


/*  Quick and dirty routine to swap bytes in a binary file.

    12 Apr 1994, acr.
    15 Apr 2011, acr: Modified exit() calls to use standard values.
*/

main(argc,argv)
  int   argc;
  char *argv[];

{ char      ib[2], ob[2];  /* byte arrays   */
  FILE     *ifp, *ofp;     /* file pointers */

  /* Open files: */

  if (argc > 1)
    { if ((ifp=fopen(argv[1],"rb")) == NULL)
        { fprintf (stderr,"swap: Could not open %s for input (%s).\n",
                          argv[1], strerror(errno));
          exit(EXIT_FAILURE);
        }
    }
  else
      ifp = stdin;

  if (argc > 2)
    { if ((ofp = fopen(argv[2],"wb")) == NULL)
        { fprintf (stderr,"swap: Could not open %s for output (%s).\n",
                           argv[2], strerror(errno));
          exit(EXIT_FAILURE);
        }
    }
  else
      ofp = stdout;

  if (argc > 3)
    { fprintf (stderr,"Usage:  swap [ <input file> [ <output file> ] ]\n");
      exit(EXIT_FAILURE);
    }


  /* Loop through file by words: */

  while (fread((void *)ib,2,1,ifp) == 1)
    { ob[0] = ib[1];
      ob[1] = ib[0];
      fwrite((void *)ob,2,1,ofp);
    }

  /* Check for normal completion: */

  if (ferror(ifp))
    { fprintf (stderr,"swap: Read error in input file.\n");
      exit(EXIT_FAILURE);
    }

  if (ifp != stdin)  fclose(ifp);
  if (ofp != stdout) fclose(ofp);
  exit(EXIT_SUCCESS);
}
