.\" Manual page for the 'varlen' routine
.\"
.\" 09 May 1994, a.c.raugh.
.\" 19 Apr 1999, acr: Added "-rmcr" option
.\"
.TH VARLEN L "19 April 1999"
.SH NAME
varlen \- strips trailing blanks from the ends of ASCII
records
.SH SYNOPSIS
.B varlen
.RB "[\| " \-rmcr " \|] "
.RB "[\| " "input file" " [\| " "output file" " \|] \|]"
.\"------------------
.SH DESCRIPTION
.LP
.B varlen
removes trailing blanks from ASCII records.
Records may be delimited by either linefeed (\\n) characters, or
carriage-return and linefeed (\\r\\n).
.B varlen
will preserve the original record delimiters unless the user specifies
the "\-rmcr" option, in which case the carriage-return characters 
will be removed.
.LP
If no file arguments are given the standard I/O streams are used.
If only one file name is given it is assumed to be the input file name.
.\"------------------
.SH OPTIONS
.TP
.B \-rmcr
Remove carriage-return characters
.\"------------------
.SH NOTES
.LP
The
.B fixlen
routine pads variable length records out to a fixed length by adding trailing
blank characters.
